" https://www.gilesorr.com/blog/vim-last-modified.html

function! UpdateLastMod()
	" Save window and cursor location:
	let l:winview = winsaveview()
	" Use rst's preferred format for the time:
	keepjumps execute '$-15,$/Last modified:/s/Last modified:[^<]*/Last modified: ' . strftime('%Y-%m-%d %H:%M:%S %z') . '/'
	" Restore window and cursor location:
	call winrestview(l:winview)
endfunction

augroup filetype_rst
	au!
	au BufWritePost index.vim so %
	au BufWritePre index.html :call UpdateLastMod()
augroup END
